curl --request POST \
--url https://api.notifique.dev/v1/validations/phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phones": [
"+5511999999999",
"+14155552671"
],
"mode": "quick"
}
'{
"success": true,
"data": {
"mode": "full",
"total_credits_charged": 5,
"results": [
{
"phone": "+5511999999999",
"status": "valid",
"phone_valid": true,
"line_type": "mobile",
"country_code": "BR",
"whatsapp_registered": true,
"reason": null,
"credits_charged": 5
}
]
}
}Validação (API)
Verificar telefones (síncrono)
Manda até 10 números e recebe o resultado na mesma resposta. Modo quick (formato e tipo de linha) ou full (inclui WhatsApp).
POST
/
v1
/
validations
/
phone
curl --request POST \
--url https://api.notifique.dev/v1/validations/phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phones": [
"+5511999999999",
"+14155552671"
],
"mode": "quick"
}
'{
"success": true,
"data": {
"mode": "full",
"total_credits_charged": 5,
"results": [
{
"phone": "+5511999999999",
"status": "valid",
"phone_valid": true,
"line_type": "mobile",
"country_code": "BR",
"whatsapp_registered": true,
"reason": null,
"credits_charged": 5
}
]
}
}Autorizações
ntfValBearerAuthntfValApiKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
Números a verificar (1 a 10). Aceita E.164 com + ou formato local.
Required array length:
1 - 10 elementsExemplo:
["+5511999999999", "+14155552671"]
quick = checagens rápidas (formato, MX ou tipo de linha). full = quick + verificação profunda (caixa de entrada ou WhatsApp).
Opções disponíveis:
quick, full Esta página foi útil?

